shadowsocks-libev (3.3.1-1) unstable; urgency=high

  * Fix a high CPU bug introduced in 3.3.0. (#2449)
  * Fix MinGW build. (#2438)
  * Minor bug fixes. (#2402, #2412, #2427, #2443)

 -- Max Lv <max.c.lv@gmail.com>  Fri, 09 Aug 2019 15:02:34 +0800

shadowsocks-libev (3.3.0-1) unstable; urgency=medium

  * Enlarge the socket buffer size to 16KB.
  * Fix the empty list bug in ss-manager.
  * Fix the IPv6 address parser.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 08 Jun 2019 07:53:20 +0800

shadowsocks-libev (3.2.5-1) unstable; urgency=medium

  * Fix a bug of port parser.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 09 Mar 2019 18:54:36 +0800

shadowsocks-libev (3.2.4-1) unstable; urgency=medium

  * Fix a crash with MinGW.
  * Refine SIP003 plugin interface.
  * Remove connection timeout from all clients.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 26 Feb 2019 09:40:18 +0800

shadowsocks-libev (3.2.3-1) unstable; urgency=medium

  * Fix the alignment issue again.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 28 Nov 2018 00:27:40 -0800

shadowsocks-libev (3.2.2-1) unstable; urgency=medium

  * Fix a bug on 32-bit arch.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 26 Nov 2018 20:07:21 -0800

shadowsocks-libev (3.2.1-1) unstable; urgency=medium

  * Add TCP fast open support to ss-tunnel by @PantherJohn.
  * Fix several security issues.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 07 Nov 2018 22:31:59 -0800

shadowsocks-libev (3.2.0-1) unstable; urgency=medium

  * Add MinGW support by @linusyang.
  * Refine c-ares integration by @xnoreq.
  * Fix building issues with GCC8 by @FlyingheartCN.
  * Minor bug fixes.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 28 May 2018 19:46:21 -0700

shadowsocks-libev (3.1.3-1) unstable; urgency=medium

  * Fix a bug in UDP relay.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 15 Jan 2018 17:19:31 -0800

shadowsocks-libev (3.1.2-1) unstable; urgency=medium

  * Fix a bug in DNS resolver.
  * Add new TFO API support.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 28 Dec 2017 21:01:56 -0800

shadowsocks-libev (3.1.1-1) unstable; urgency=high

  * Fix a security issue in ss-manager. (CVE-2017-15924)

 -- Max Lv <max.c.lv@gmail.com>  Mon, 20 Nov 2017 12:13:04 +0800

shadowsocks-libev (3.1.0-1) unstable; urgency=low

  * Replace libudns with libc-ares.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 14 Sep 2017 19:27:51 -0700

shadowsocks-libev (3.0.8-1) unstable; urgency=medium

  * Refine the ping-pong bloom filter.
  * Minor bug fixes by @vfreex, @vlolteanu and @jackyyf.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 27 Jul 2017 11:01:37 +0800

shadowsocks-libev (3.0.7-1) unstable; urgency=medium

  * Refine manager mode by @mengxd.
  * Fix a potential memory leak by @vlolteanu.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 27 Jun 2017 14:08:27 +0800

shadowsocks-libev (3.0.6-1) unstable; urgency=medium

  * Fix a bug with AEAD ciphers.
  * Refine ACL support by @blackgear.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 26 Apr 2017 13:48:11 +0800

shadowsocks-libev (3.0.5-1) unstable; urgency=medium

  * Fix a bug of TCP Fast Open in ss-redir.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 21 Mar 2017 13:49:18 +0800

shadowsocks-libev (3.0.4-1) unstable; urgency=medium

  * Add CMake files by @wenerme.
  * Support TCP Fast Open in ss-redir by @lqs.
  * Support TOS/DESCP in ss-redir by @sduponch.
  * Refine MPTCP by @sduponch.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 16 Mar 2017 14:07:57 +0800

shadowsocks-libev (3.0.3-1) unstable; urgency=medium

  * Replace nonce cache with a ping-pong bloom filter.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 24 Feb 2017 12:08:31 +0800

shadowsocks-libev (3.0.2-1) unstable; urgency=high

  * Add session key for AEAD. (SIP007)

 -- Max Lv <max.c.lv@gmail.com>  Mon, 13 Feb 2017 09:07:17 +0800

shadowsocks-libev (3.0.1-1) unstable; urgency=medium

  * Fix a crashe when using stream ciphers.
  * Fix a protocol bug in AEAD ciphers. (SIP004)
  * Allow setting keys directly. (SIP006)

 -- Max Lv <max.c.lv@gmail.com>  Tue, 07 Feb 2017 13:18:02 +0800

shadowsocks-libev (3.0.0-1) unstable; urgency=medium

  * Drop dependencies of OpenSSL and PolarSSL.
  * Deprecate OTA (One-Time-Auth).
  * Add new ciphers for SIP004: aes-128-gcm, aes-192-gcm, aes-256-gcm,
    chacha20-poly1305 and chacha20-ietf-poly1305.
  * Refine SIP003 to support standalone mode of obfsproxy.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 01 Feb 2017 19:10:14 +0800

shadowsocks-libev (2.6.3-1) unstable; urgency=medium

  * Refine the project structure.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 24 Jan 2017 19:10:45 +0800

shadowsocks-libev (2.6.2-1) unstable; urgency=medium

  * Refine SIP003 plugin support.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 16 Jan 2017 10:16:12 +0800

shadowsocks-libev (2.6.1-1) unstable; urgency=medium

  * Deprecate HTTP/TLS obfuscating.
  * Add SIP003 plugin support.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 08 Jan 2017 15:14:19 +0800

shadowsocks-libev (2.6.0-1) unstable; urgency=medium

  * Add HTTP/TLS obfuscating.
  * Add support of aunch_activate_socket on macOS.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 27 Dec 2016 16:37:23 +0800

shadowsocks-libev (2.5.6-1) unstable; urgency=medium

  * Add outbound ACL for server.
  * Refine log format.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 01 Nov 2016 09:51:52 +0800

shadowsocks-libev (2.5.5-1) unstable; urgency=medium

  * Refine attack detection.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 11 Oct 2016 15:45:09 +0800

shadowsocks-libev (2.5.4-1) unstable; urgency=medium

  * Fix a bug of auto blocking mechanism.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 09 Oct 2016 19:36:37 +0800

shadowsocks-libev (2.5.3-1) unstable; urgency=medium

  * Fix TCP Fast Open on macOS.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 21 Sep 2016 19:31:57 +0800

shadowsocks-libev (2.5.2-1) unstable; urgency=medium

  * Fix a bug of UDP relay mode of ss-local.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 12 Sep 2016 12:54:33 +0800

shadowsocks-libev (2.5.1-1) unstable; urgency=medium

  * Refine ACL feature with hostname support.
  * Add HTTP/SNI parser for ss-local/ss-redir.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 10 Sep 2016 17:06:49 +0800

shadowsocks-libev (2.5.0-1) unstable; urgency=medium

  * Fix several bugs of the command line interface.
  * Add aes-128/192/256-ctr ciphers.
  * Add option MTU for UDP relay.
  * Add MultiPath TCP support.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 29 Aug 2016 13:07:51 +0800

shadowsocks-libev (2.4.8-1) unstable; urgency=low

  * Update manual pages with asciidoc.
  * Fix issues of bind_address option.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 20 Jul 2016 09:25:50 +0800

shadowsocks-libev (2.4.7-1) unstable; urgency=low

  * Add ss-nat, a helper script to set up NAT rules for ss-redir.
  * Fix several issues for debian package.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 1 Jun 2016 18:21:45 +0800

shadowsocks-libev (2.4.6-1) unstable; urgency=low

  * Update manual pages.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 21 Apr 2016 17:33:34 +0800

shadowsocks-libev (2.4.5-1) unstable; urgency=low

  * Fix build issues on OpenWRT.
  * Reduce the latency of redir mode.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 01 Feb 2016 13:22:50 +0800

shadowsocks-libev (2.4.4-1) unstable; urgency=low

  * Fix a potential memory leak.
  * Fix some compiler related issues.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 13 Jan 2016 11:50:12 +0800

shadowsocks-libev (2.4.3-1) unstable; urgency=high

  * Refine the buffer allocation.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 19 Dec 2015 12:30:21 +0900

shadowsocks-libev (2.4.1-1) unstable; urgency=high

  * Fix a security bug.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 29 Oct 2015 15:42:47 +0900

shadowsocks-libev (2.4.0-1) unstable; urgency=low

  * Update the one-time authentication

 -- Max Lv <max.c.lv@gmail.com>  Thu, 24 Sep 2015 14:11:05 +0900

shadowsocks-libev (2.3.3-1) unstable; urgency=low

  * Refine the onetime authentication of header.
  * Enforce CRC16 on the payload.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 18 Sep 2015 10:38:21 +0900

shadowsocks-libev (2.3.2-1) unstable; urgency=low

  * Fix minor issues of build scripts.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 13 Sep 2015 15:22:28 +0900

shadowsocks-libev (2.3.1-1) unstable; urgency=low

  * Fix an issue of connection cache of UDP relay.
  * Add support of onetime authentication for header verification.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 04 Sep 2015 07:54:02 +0900

shadowsocks-libev (2.3.0-1) unstable; urgency=low

  * Add manager mode to support multi-user and traffic stat.
  * Fix a build issue on OS X El Capitan.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 30 Jul 2015 17:30:43 +0900

shadowsocks-libev (2.2.3-1) unstable; urgency=high

  * Fix the multiple UDP source port issue.
  * Allow working in UDP only mode.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 11 Jul 2015 08:31:02 +0900

shadowsocks-libev (2.2.2-1) unstable; urgency=low

  * Fix the timer of UDP relay.
  * Check name_len in the header.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 15 Jun 2015 10:26:40 +0900

shadowsocks-libev (2.2.1-1) unstable; urgency=low

  * Fix an issue of UDP relay.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 10 May 2015 21:23:44 +0900

shadowsocks-libev (2.2.0-1) unstable; urgency=low

  * Add TPROXY support in redir mode.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 04 May 2015 02:44:17 -0300

shadowsocks-libev (2.1.4-1) unstable; urgency=low

  * Fix a bug of server mode ACL.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 08 Feb 2015 20:24:43 +0900

shadowsocks-libev (2.1.3-1) unstable; urgency=low

  * Add ACL support to remote server.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 08 Feb 2015 10:59:44 +0900

shadowsocks-libev (2.1.2-1) unstable; urgency=low

  * Refine multiple port binding.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 31 Jan 2015 18:56:25 +0900

shadowsocks-libev (2.1.1-1) unstable; urgency=low

  * Fix a memory leak.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 21 Jan 2015 21:40:58 +0900

shadowsocks-libev (2.1.0-1) unstable; urgency=low

  * Fix a bug of tunnel mode.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 19 Jan 2015 09:59:52 +0900

shadowsocks-libev (2.0.8-1) unstable; urgency=low

  * Fix a bug of IPv6.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 16 Jan 2015 10:58:12 +0900

shadowsocks-libev (2.0.7-1) unstable; urgency=low

  * Fix some performance issue.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 13 Jan 2015 13:17:58 +0900

shadowsocks-libev (2.0.6-1) unstable; urgency=high

  * Fix a critical issue in redir mode.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 12 Jan 2015 21:51:19 +0900

shadowsocks-libev (2.0.5-1) unstable; urgency=low

  * Refine local, tunnel, and redir modes.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 12 Jan 2015 12:39:05 +0800

shadowsocks-libev (2.0.4-1) unstable; urgency=low

  * Fix building issues with MinGW32.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 11 Jan 2015 13:33:31 +0900

shadowsocks-libev (2.0.3-1) unstable; urgency=high

  * Fix some issues.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 10 Jan 2015 16:27:54 +0800

shadowsocks-libev (2.0.2-1) unstable; urgency=low

  * Fix issues with MinGW.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 10 Jan 2015 15:17:10 +0800

shadowsocks-libev (2.0.1-1) unstable; urgency=low

  * Implement a real asynchronous DNS resolver.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 10 Jan 2015 10:04:28 +0800

shadowsocks-libev (1.6.4-1) unstable; urgency=low

  * Update documents.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 07 Jan 2015 21:48:58 +0900

shadowsocks-libev (1.6.3-1) unstable; urgency=low

  * Refine ss-redir.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 04 Jan 2015 19:23:52 +0900

shadowsocks-libev (1.6.2-1) unstable; urgency=low

  * Fix some build issues.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 30 Dec 2014 10:30:28 +0800

shadowsocks-libev (1.6.1-1) unstable; urgency=high

  * Add salsa20 and chacha20 support.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 13 Dec 2014 15:11:34 +0800

shadowsocks-libev (1.6.0-1) unstable; urgency=low

  * Solve conflicts with other shadowsocks portings.

 -- Max Lv <max.c.lv@gmail.com>  Mon, 17 Nov 2014 14:10:21 +0800

shadowsocks-libev (1.5.3-2) unstable; urgency=low

  * rename as shadowsocks-libev.

 -- Symeon Huang <hzwhuang@gmail.com>  Sat, 15 Nov 2014 14:55:28 +0000

shadowsocks (1.5.3-1) unstable; urgency=low

  * Fix log on Win32.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 14 Nov 2014 09:10:06 +0800

shadowsocks (1.5.2-1) unstable; urgency=low

  * Handle SIGTERM and SIGKILL nicely.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 12 Nov 2014 13:11:29 +0800

shadowsocks (1.5.1-1) unstable; urgency=low

  * Fix a bug of tcp fast open.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 08 Nov 2014 19:45:37 +0900

shadowsocks (1.5.0-1) unstable; urgency=low

  * Support to build static or shared library.
  * Supprot IPv6 NAT in redirect mode.
  * Refine the cache size of UDPRelay.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 07 Nov 2014 09:33:19 +0800

shadowsocks (1.4.8-1) unstable; urgency=low

  * Fix a bug of tcp fast open.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 08 Oct 2014 18:02:02 +0800

shadowsocks (1.4.7-1) unstable; urgency=low

  * Add a new encryptor rc4-md5.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 09 Sep 2014 07:50:10 +0800

shadowsocks (1.4.6-1) unstable; urgency=low

  * Add ACL support.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 03 May 2014 04:37:10 -0400

shadowsocks (1.4.5-1) unstable; urgency=high

  * Fix the compatibility issue of udprelay.
  * Enhance asyncns to reduce the latency.
  * Add TCP_FASTOPEN support.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 20 Apr 2014 08:12:45 +0800

shadowsocks (1.4.4-1) unstable; urgency=low

  * Add CommonCrypto support for darwin.
  * Fix some config related issues.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 26 Mar 2014 13:29:03 +0800

shadowsocks (1.4.3-1) unstable; urgency=low

  * Add tunnel mode with local port forwarding feature.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 21 Feb 2014 11:52:13 +0900

shadowsocks (1.4.2-1) unstable; urgency=high

  * Fix the UDP relay issues.
  * Add syslog support.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 05 Jan 2014 10:05:29 +0900

shadowsocks (1.4.1-1) unstable; urgency=low

  * Add multi-port support.
  * Add PolarSSL support by @linusyang.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 12 Nov 2013 03:57:21 +0000

shadowsocks (1.4.0-1) unstable; urgency=low

  * Add standard socks5 udp support.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 08 Sep 2013 02:20:40 +0000

shadowsocks (1.3.3-1) unstable; urgency=high

  * Provide more info in verbose mode.

 -- Max Lv <max.c.lv@gmail.com>  Fri, 21 Jun 2013 09:59:20 +0800

shadowsocks (1.3.2-1) unstable; urgency=high

  * Fix some ciphers by @linusyang.

 -- Max Lv <max.c.lv@gmail.com>  Sun, 09 Jun 2013 09:52:31 +0000

shadowsocks (1.3.1-1) unstable; urgency=low

  * Support more cihpers: camellia, idea, rc2 and seed.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 04 Jun 2013 00:56:17 +0000

shadowsocks (1.3-1) unstable; urgency=low

  * Able to bind connections to specific interface.
  * Support more ciphers: aes-128-cfb, aes-192-cfb, aes-256-cfb, bf-cfb, cast5-cfb, des-cfb.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 16 May 2013 10:51:15 +0800

shadowsocks (1.2-2) unstable; urgency=low

  * Close timeouted TCP connections.

 -- Max Lv <max.c.lv@gmail.com>  Tue, 07 May 2013 14:10:33 +0800

shadowsocks (1.2-1) unstable; urgency=low

  * Fix a high load issue.

 -- Max Lv <max.c.lv@gmail.com>  Thu, 18 Apr 2013 10:52:34 +0800

shadowsocks (1.1-1) unstable; urgency=low

  * Fix a IPV6 resolve issue.

 -- Max Lv <max.c.lv@gmail.com>  Wed, 10 Apr 2013 12:11:36 +0800

shadowsocks (1.0-2) unstable; urgency=low

  * Initial release.

 -- Max Lv <max.c.lv@gmail.com>  Sat, 06 Apr 2013 16:59:15 +0800
